Bug 243076 - Review Request: reciteword - Recite Word Easily
Review Request: reciteword - Recite Word Easily
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 03:25 EDT by Hu Zheng
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.8.3-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 23:54:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Modified SPEC (1.93 KB, text/x-rpm-spec)
2007-06-14 06:21 EDT, Parag AN(पराग)
no flags Details

  None (edit)
Description Hu Zheng 2007-06-07 03:25:36 EDT
Spec URL: http://reciteword.cosoft.org.cn/redhat/reciteword.spec
SRPM URL: http://reciteword.cosoft.org.cn/redhat/reciteword-0.8.3-1.fc7.src.rpm
Description: 
ReciteWord is an education software to help people to study English, recite words.
Comment 1 Parag AN(पराग) 2007-06-14 03:18:01 EDT
It will be good to have source0 url using %{name} and %{version}.
Comment 2 Hu Zheng 2007-06-14 06:07:24 EDT
OK, fixed as the same file.
Any more comments? Thank you!
Comment 3 Parag AN(पराग) 2007-06-14 06:17:52 EDT
(In reply to comment #2)
> OK, fixed as the same file.
> Any more comments? Thank you!
> 
yes I do have.
I saw under /usr/share/reciteword/books/ directory many hidden files .dirname
getting installed from rpm but rpmlint is complaining warning about that.
Is that necessary or once package got installed and each time started
they(.dirname files) will be created on fly?
If yes it can be removed in SPEC.
Comment 4 Parag AN(पराग) 2007-06-14 06:21:20 EDT
Created attachment 156976 [details]
Modified SPEC

You may like to use this SPEC file.
Add Changelog and give new updated links
Comment 5 Hu Zheng 2007-06-14 23:19:13 EDT
Well, there is a reason for .dirname file. This file contain the local name(such
as Chinese) of the directory, it is better don't make the dir have Chinese name
directly, because UTF-8 file name have problem on windows platform after extract
the .tar.bz2 file, so I save the dir name in this file, and choose .dirname to
hide this.
If hidden file is not good, I can fix this as change the file name to "dirname".
Do you think this is necessay? To fix this won't take much time.

I have created the new version according to your modification.
The patch0 already modified the .desktop file, so desktop-file-install should be
not necessay, but I added update-desktop-database.

Here are the new files:
http://reciteword.cosoft.org.cn/redhat/reciteword.spec
http://reciteword.cosoft.org.cn/redhat/reciteword-0.8.3-2.fc7.src.rpm

Thank you!
Comment 6 Parag AN(पराग) 2007-06-15 00:17:04 EDT
Hi,
  Is this package have MIME type? Saw you included update-desktop-database
scriptlet.
  Also if you look at
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?action=show&redirect=ScriptletSnippets#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef
you will find above FC5+, you will not be required to have 
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


Also I think its good to change the file name to "dirname".
Comment 7 Hu Zheng 2007-06-15 06:14:03 EDT
No, no MIME. update-desktop-database have function of update the .desktop cache
too, right?

OK, updated as the same files. New patch and the find script to fix the .dirname
problem.
Comment 8 Hu Zheng 2007-06-18 22:20:21 EDT
Any more problem? If no, I think we can approve the review now?
Comment 9 Parag AN(पराग) 2007-06-19 01:15:10 EDT
remove update-desktop-database it has nothing to do with .desktop cache updation
but to update MIME file /usr/share/applications/mimeinfo.cache
Comment 10 Hu Zheng 2007-06-19 01:27:04 EDT
Done. As the same spec file.
Comment 11 Parag AN(पराग) 2007-06-19 01:39:22 EDT
bump the release.
I saw 2 times you used same release version and kindly submit each time download
links to review package.
Comment 13 Parag AN(पराग) 2007-06-19 03:10:35 EDT
thanks for links
Comment 14 Parag AN(पराग) 2007-06-19 03:15:25 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMs.
+ source files match upstream.
5c7b106787f956ace8059f91bcec1836  reciteword-0.8.3.tar.bz2
9fb497b9f1c048aaf1ff16106a3e3ead  reciteword-books-0.8.3.tar.bz2
f41d9dd162c4360924cfedb5cce3e5af  reciteword-dicts-0.8.2.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exist.
+ no .la files.
+ no translations available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets used.
+ Desktop files installed correctly.
+ Requires: esound >= 0.2.28 gtk2 >= 2.2 libatk-1.0.so.0 libaudiofile.so.0
libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.2)
libc.so.6(GLIBC_2.4) libcairo.so.2 libdl.so.2 libesd.so.0 libgcc_s.so.1
libgcc_s.so.1(GCC_3.0) libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0
libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0 libgthread-2.0.so.0
libgtk-x11-2.0.so.0 libm.so.6 libpango-1.0.so.0 libpangocairo-1.0.so.0
libpng12.so.0 libpthread.so.0 librt.so.1 libstdc++.so.6
libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ GUI App.
APPROVED.
Comment 15 Hu Zheng 2007-06-19 03:34:51 EDT
New Package CVS Request
=======================
Package Name: reciteword
Short Description: Recite Word Easily
Owners: zhu@redhat.com
Branches: FC-6 F-7 EL-5
InitialCC: 
Comment 16 Kevin Fenzi 2007-06-20 00:45:43 EDT
cvs done. 
Comment 17 Hu Zheng 2007-06-20 05:25:31 EDT
Build succeeded at last.

Thanks everyone! Done :)
Comment 18 Fedora Update System 2007-06-26 23:54:47 EDT
reciteword-0.8.3-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 zavandi 2007-06-28 15:36:22 EDT
$ reciteword 
RealPeopleTTS files not found!
esd initialization failed,no sound will be play!

Yeah, it's a great program! I'm sooo glad the spec file passed all the tests.
Also, the fact that it can only be used by Chinese people I'm sure is an
insignificant detail that didn't even deserve to be mentioned in the description
of the package. I'll just have to download some TTS engine from some site (hope
it's freeware, though), install esd instead of the outdated ALSA, learn Chinese,
then I'll be on my way to use this fine piece of software to learn English
pronunciation. Super duper!
Comment 20 Hu Zheng 2007-06-28 23:20:09 EDT
You can vist http://reciteword.cosoft.org.cn for more information, and you can
find RealPeopleTTS there.
It is better use reciteword in GNOME and enable esd by default in GNOME.
Although you can run "esd &" before running reciteword too.
There is a "en" skin too which provides English interface, although it is not
very beautiful.
I may add German support in the next verdsion :)
Thank you for your support!
Comment 21 zavandi 2007-06-29 08:31:40 EDT
Thanks, that information was helpful.
But I think you should mention it some form of official documentation, because
most Fedora users won't be able to use reciteword in its current form (and they
won't post to bugzilla, either).
Comment 22 Hu Zheng 2007-07-01 22:37:39 EDT
Click the help button.

Note You need to log in before you can comment on or make changes to this bug.